PERTALIFE - Bug #1672

[PMS Report] Perubahan validasi untuk judul Report PMS Individu

10/06/2022 09:58 AM - Mega Yunita

Status: Closed
Priority: Urgent
Assignee: Mega Yunita
Category:

Target version:

Start date: 10/06/2022
Due date: 10/07/2022
% Done: 0%
Estimated time: 0.00 hour
Spent time: 4.00 hours

Description
Dear Mas Shofwan,

Tolong dibantu untuk merubah ketentuan tahun yang tampil di judul. Saat ini, di hardcode 2021, tolong diubah untuk tidak di
harcode, melainkan disesuaikan dengan tahun period yang dipilih pada selection.

Port : http://remote.minovais.com:31115/
DB : MinovaES_AJTM_Pertalife_Development
Server : remote.minovais.com, 1438\MSSQLSERVER2014

Menu : HR > HR Strategic > Performance Management > Performance Report > Custom Report per Individu

Semoga dapat dimengerti

Terimakasih
History

#1 - 10/06/2022 01:12 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Mega Yunita

Dear Mega, Perubahan tahun pada judul sudah di tambahkan, silahkan di testing. Terima Kasih.

#2 - 10/07/2022 10:59 AM - Mega Yunita

- Status changed from Assigned to Closed

Sip, sudah sesuai.
http://remote.minovais.com:31115/

Terimakasih

#3 - 10/19/2022 11:30 AM - Mega Yunita

- File clipboard-202210191128-dpqd9.png added
- File clipboard-202210191129-qt5e4.png added
- Status changed from Closed to Revise

- Assignee changed from Mega Yunita to shofwan shiddiq

Mas Shofwan,

Tolong untuk dibuatkan kondisi di report, saat menampilkan data Penilaian Key Behaviour Indicator (KBI), yaitu :
- jika KPI 0 maka ambil data ke field (CalculatedScore)
- jika KPI ke isi maka ambil field (CalculatedCompetency)
Report Result
b [ Logistic & Service Hasil Evaluasi Final Pen-llalan Pekerja Tahun 2022
» [ Menu Development Data Karyawan
. N Narna: MAHATMA FRANSISKUS NABABAN Nomor Induk Peserta: 07570213
» [0 System Administration
Jabatan: VP Finance and Accounting ‘Gol. Jabatan: General
Satuan Kerja: Finance and Accounting ‘Gol._ Individu: Permanent
Hasil Evaluasi
Realisasi Key Performance Indicator (KPI) 0
Penilsian Key Benaviour Indicator (KBI): 0 ] Harus tetap menampilkan nilai KBI,
meskipun KPI 0
Type Weig.. | FinalSco.. | Calculated Score
1 KPI 80.00 0
2 Qualification 20.00  105.20
Calculated Sco... | Index Score Adjusted Score | Adjusted Index
1 2104 1-Improvement Desired  21.04 1- Improvement Desired
=
=N

#4 - 10/20/2022 10:34 AM - shofwan shiddiq

- Status changed from Revise to QA Test
- Assignee changed from shofwan shiddiq to Mega Yunita

Dear Mega, untuk case apabila KPI kosong maka sudah di arahkan ke field Calculated Score pada table PHRPA0047. Silahkan di testing.

SP: SPERPRPTPENILAIANINDIVIDU

#5 - 10/20/2022 11:05 AM - Mega Yunita
- Status changed from QA Test to Closed

sip, sudah dicek dan sudah sesuai.

Terimakasih

Files

clipboard-202210060956-emehv.png 107 KB 10/06/2022 Mega Yunita

clipboard-202210191128-dpqd9.png 81.1 KB 10/19/2022 Mega Yunita

clipboard-202210191129-qt5e4.png 69.4 KB 10/19/2022 Mega Yunita
